Waiting for engine...
Skip to main content

Boomi API Control Plane REST API - AccessTokens

Toggle Pane

Download OpenAPI Specification: Download

Run In Postman

For more information about Postman collections, forking, and making your first API call, refer to the Working with Boomi APIs on Postman page.

Access Tokens

Personal access tokens for API authentication.

List access tokens

Get list of all access tokens for the user authenticated in this request.

Authorizations:
bearerAuth

Responses

Response Schema: application/json
Array
id
required
string <uuid>

Unique identifier of the access token.

name
required
string

Display name of the access token.

scopes
required
Array of strings unique
Items Enum: "ENVIRONMENT_READ" "ENVIRONMENT_WRITE" "API_READ" "API_WRITE" "USER_READ" "USER_WRITE" "ACCESS_TOKEN_MANAGE" "APPLICATION_READ" "APPLICATION_WRITE" "JOBS_READ" "SAML_LOGIN" "PLAN_READ" "PLAN_WRITE" "GIT_CREDENTIALS_READ" "GIT_CREDENTIALS_WRITE" "SUBSCRIPTIONS_READ" "SUBSCRIPTIONS_WRITE" "CONFIGURATION_READ" "CONFIGURATION_WRITE" "METRICS_READ" "ORGANIZATION_READ" "ORGANIZATION_WRITE" "DISCOVERY" "USER_INVITATION" "CROSS_ORGANIZATION_ACCESS" "API_ORGANIZATION_READ" "API_ORGANIZATION_WRITE" "API_READ_ACCESSIBLE" "APPROVAL_REQUEST_READ" "APPROVAL_REQUEST_WRITE" "SELF_SERVICE" "AUDIT_LOG_READ" "RULE_SETS_READ" "RULE_SETS_WRITE" "DEV_PORTAL_READ" "DEV_PORTAL_WRITE" "PLAN_ASSIGN_APIS" "ACCESS_TENANT_DATA" "READ_GOVERNANCE_DATA" "WEBHOOKS_READ" "WEBHOOKS_WRITE" "TERMS_OF_USE_READ" "TERMS_OF_USE_WRITE" "API_GATEWAY_READ" "API_GATEWAY_WRITE" "MCP_SERVER_VERSION_READ" "MCP_SERVER_VERSION_WRITE" "API_POLICY_TEMPLATE_READ"

Set of authorization scopes granted to the token.

token
string

The token value. Only returned once upon creation.

validUntil
string <date-time>

Expiration date and time. Null if the token does not expire.

Response samples

Content type
application/json
[
  • {
    • "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
    • "token": "string",
    • "name": "string",
    • "validUntil": "2019-08-24T14:15:22Z",
    • "scopes": [
      ]
    }
]

Create access token

Create a new access token for the user authenticated in this request.

Authorizations:
bearerAuth
Request Body schema: application/json
required
name
required
string

Display name for the access token.

scopes
required
Array of strings unique
Items Enum: "ENVIRONMENT_READ" "ENVIRONMENT_WRITE" "API_READ" "API_WRITE" "USER_READ" "USER_WRITE" "ACCESS_TOKEN_MANAGE" "APPLICATION_READ" "APPLICATION_WRITE" "JOBS_READ" "SAML_LOGIN" "PLAN_READ" "PLAN_WRITE" "GIT_CREDENTIALS_READ" "GIT_CREDENTIALS_WRITE" "SUBSCRIPTIONS_READ" "SUBSCRIPTIONS_WRITE" "CONFIGURATION_READ" "CONFIGURATION_WRITE" "METRICS_READ" "ORGANIZATION_READ" "ORGANIZATION_WRITE" "DISCOVERY" "USER_INVITATION" "CROSS_ORGANIZATION_ACCESS" "API_ORGANIZATION_READ" "API_ORGANIZATION_WRITE" "API_READ_ACCESSIBLE" "APPROVAL_REQUEST_READ" "APPROVAL_REQUEST_WRITE" "SELF_SERVICE" "AUDIT_LOG_READ" "RULE_SETS_READ" "RULE_SETS_WRITE" "DEV_PORTAL_READ" "DEV_PORTAL_WRITE" "PLAN_ASSIGN_APIS" "ACCESS_TENANT_DATA" "READ_GOVERNANCE_DATA" "WEBHOOKS_READ" "WEBHOOKS_WRITE" "TERMS_OF_USE_READ" "TERMS_OF_USE_WRITE" "API_GATEWAY_READ" "API_GATEWAY_WRITE" "MCP_SERVER_VERSION_READ" "MCP_SERVER_VERSION_WRITE" "API_POLICY_TEMPLATE_READ"

Set of authorization scopes granted to the token.

validityDays
required
integer <int64>

Number of days until the token expires. Use 0 for no expiration.

Responses

Response Schema: application/json
id
required
string <uuid>

Unique identifier of the access token.

name
required
string

Display name of the access token.

scopes
required
Array of strings unique
Items Enum: "ENVIRONMENT_READ" "ENVIRONMENT_WRITE" "API_READ" "API_WRITE" "USER_READ" "USER_WRITE" "ACCESS_TOKEN_MANAGE" "APPLICATION_READ" "APPLICATION_WRITE" "JOBS_READ" "SAML_LOGIN" "PLAN_READ" "PLAN_WRITE" "GIT_CREDENTIALS_READ" "GIT_CREDENTIALS_WRITE" "SUBSCRIPTIONS_READ" "SUBSCRIPTIONS_WRITE" "CONFIGURATION_READ" "CONFIGURATION_WRITE" "METRICS_READ" "ORGANIZATION_READ" "ORGANIZATION_WRITE" "DISCOVERY" "USER_INVITATION" "CROSS_ORGANIZATION_ACCESS" "API_ORGANIZATION_READ" "API_ORGANIZATION_WRITE" "API_READ_ACCESSIBLE" "APPROVAL_REQUEST_READ" "APPROVAL_REQUEST_WRITE" "SELF_SERVICE" "AUDIT_LOG_READ" "RULE_SETS_READ" "RULE_SETS_WRITE" "DEV_PORTAL_READ" "DEV_PORTAL_WRITE" "PLAN_ASSIGN_APIS" "ACCESS_TENANT_DATA" "READ_GOVERNANCE_DATA" "WEBHOOKS_READ" "WEBHOOKS_WRITE" "TERMS_OF_USE_READ" "TERMS_OF_USE_WRITE" "API_GATEWAY_READ" "API_GATEWAY_WRITE" "MCP_SERVER_VERSION_READ" "MCP_SERVER_VERSION_WRITE" "API_POLICY_TEMPLATE_READ"

Set of authorization scopes granted to the token.

token
string

The token value. Only returned once upon creation.

validUntil
string <date-time>

Expiration date and time. Null if the token does not expire.

Request samples

Content type
application/json
{
  • "name": "string",
  • "validityDays": 0,
  • "scopes": [
    • "ENVIRONMENT_READ"
    ]
}

Response samples

Content type
application/json
{
  • "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
  • "token": "string",
  • "name": "string",
  • "validUntil": "2019-08-24T14:15:22Z",
  • "scopes": [
    • "ENVIRONMENT_READ"
    ]
}

Get access token

Get a single access token for the user authenticated in this request. There is no way to see the access tokens for other users.

Authorizations:
bearerAuth
path Parameters
id
required
string <uuid>

This should be the uuid for the entity in question - but for backwards compatibility, this will also accept the old integer id.

Responses

Response Schema: application/json
id
required
string <uuid>

Unique identifier of the access token.

name
required
string

Display name of the access token.

scopes
required
Array of strings unique
Items Enum: "ENVIRONMENT_READ" "ENVIRONMENT_WRITE" "API_READ" "API_WRITE" "USER_READ" "USER_WRITE" "ACCESS_TOKEN_MANAGE" "APPLICATION_READ" "APPLICATION_WRITE" "JOBS_READ" "SAML_LOGIN" "PLAN_READ" "PLAN_WRITE" "GIT_CREDENTIALS_READ" "GIT_CREDENTIALS_WRITE" "SUBSCRIPTIONS_READ" "SUBSCRIPTIONS_WRITE" "CONFIGURATION_READ" "CONFIGURATION_WRITE" "METRICS_READ" "ORGANIZATION_READ" "ORGANIZATION_WRITE" "DISCOVERY" "USER_INVITATION" "CROSS_ORGANIZATION_ACCESS" "API_ORGANIZATION_READ" "API_ORGANIZATION_WRITE" "API_READ_ACCESSIBLE" "APPROVAL_REQUEST_READ" "APPROVAL_REQUEST_WRITE" "SELF_SERVICE" "AUDIT_LOG_READ" "RULE_SETS_READ" "RULE_SETS_WRITE" "DEV_PORTAL_READ" "DEV_PORTAL_WRITE" "PLAN_ASSIGN_APIS" "ACCESS_TENANT_DATA" "READ_GOVERNANCE_DATA" "WEBHOOKS_READ" "WEBHOOKS_WRITE" "TERMS_OF_USE_READ" "TERMS_OF_USE_WRITE" "API_GATEWAY_READ" "API_GATEWAY_WRITE" "MCP_SERVER_VERSION_READ" "MCP_SERVER_VERSION_WRITE" "API_POLICY_TEMPLATE_READ"

Set of authorization scopes granted to the token.

token
string

The token value. Only returned once upon creation.

validUntil
string <date-time>

Expiration date and time. Null if the token does not expire.

Response samples

Content type
application/json
{
  • "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
  • "token": "string",
  • "name": "string",
  • "validUntil": "2019-08-24T14:15:22Z",
  • "scopes": [
    • "ENVIRONMENT_READ"
    ]
}

Delete access token

Delete an access token for the user authenticated in this request.

Authorizations:
bearerAuth
path Parameters
id
required
string <uuid>

This should be the uuid for the entity in question - but for backwards compatibility, this will also accept the old integer id.

Responses

Response samples

Content type
application/json
{
  • "timestamp": "string",
  • "status": 0,
  • "error": "string",
  • "message": "string",
  • "path": "string"
}